<template>
  <p :class="[styles.reset, styles.default, {[styles[size]]: size, [classes]: classes, [styles.bold]:bold, [styles.composition]: composition}]">
    <slot/>
  </p>
</template>

<script>
import { defineComponent } from 'vue'
import styles from './style.module.scss'
export default defineComponent({
  name: 'Text',
  props: {
    classes: {
      type: Array,
      required: false
    },
    text: String,
    bold: Boolean,
    size: {
      type: String,
      required: false
    },
    composition: {
      type: Boolean,
      required: false
    }
  },
  data () {
    return {
      styles
    }
  }
})
</script>
